## junit.textui
Class ResultPrinter

    java.lang.Object
      junit.textui.ResultPrinter

All Implemented Interfaces:
  TestListener

    public class ResultPrinter

extends Object
implements TestListener

Constructor Summary
`ResultPrinter(PrintStream writer)`

Method Summary
`void` `addError(Test test, Throwable e)` An error occurred.
`void` `addFailure(Test test, AssertionFailedError t)` A failure occurred.
`protected String` `elapsedTimeAsString(long runTime)` Returns the formatted string of the elapsed time.
`void` `endTest(Test test)` A test ended.
`PrintStream` `getWriter()`
`void` `printDefect(TestFailure booBoo, int count)`
`protected void` `printDefectHeader(TestFailure booBoo, int count)`
`protected void` `printDefects(Enumeration<TestFailure> booBoos, int count, String type)`
`protected void` `printDefectTrace(TestFailure booBoo)`
`protected void` `printErrors(TestResult result)`
`protected void` `printFailures(TestResult result)`
`protected void` `printFooter(TestResult result)`
`protected void` `printHeader(long runTime)`
`void` `startTest(Test test)` A test started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultPrinter

    public ResultPrinter(PrintStream writer)

Method Detail

### printHeader

    protected void printHeader(long runTime)

### printErrors

    protected void printErrors(TestResult result)

### printFailures

    protected void printFailures(TestResult result)

### printDefects

    protected void printDefects(Enumeration<TestFailure> booBoos,
                                int count,
                                String type)

### printDefect

    public void printDefect(TestFailure booBoo,
                            int count)

### printDefectHeader

    protected void printDefectHeader(TestFailure booBoo,
                                     int count)

### printDefectTrace

    protected void printDefectTrace(TestFailure booBoo)

### printFooter

    protected void printFooter(TestResult result)

### elapsedTimeAsString

    protected String elapsedTimeAsString(long runTime)

  Returns the formatted string of the elapsed time. Duplicated from BaseTestRunner. Fix it.

### getWriter

    public PrintStream getWriter()

### addError

    public void addError(Test test,
                         Throwable e)

  Description copied from interface: `TestListener`
  An error occurred.

  Specified by:
    `addError` in interface `TestListener`
  See Also:
    `TestListener.addError(Test, Throwable)`

### addFailure

    public void addFailure(Test test,
                           AssertionFailedError t)

  Description copied from interface: `TestListener`
  A failure occurred.

  Specified by:
    `addFailure` in interface `TestListener`
  See Also:
    `TestListener.addFailure(Test, AssertionFailedError)`

### endTest

    public void endTest(Test test)

  Description copied from interface: `TestListener`
  A test ended.

  Specified by:
    `endTest` in interface `TestListener`
  See Also:
    `TestListener.endTest(Test)`

### startTest

    public void startTest(Test test)

  Description copied from interface: `TestListener`
  A test started.

  Specified by:
    `startTest` in interface `TestListener`
  See Also:
    `TestListener.startTest(Test)`

Copyright © 2002–2020 JUnit. All rights reserved.